Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1598909

Description of problem:

There currently are no input validations, when a user tries to add a new subscription. This means the user can submit any value.

However, there seem to be two behaviors following submission of bad values.

1. It appears to submit, then a warning pops up saying "No pools provided".

2. It actually submits the form, says it succeeded, then notifies of the task resulting in a warning state.

Version-Release number of selected component (if applicable):

Satellite 6.4 Snap 10

How reproducible:

Always

Steps to Reproduce:

1. Upload a valid manifest, that does not contain all the subscriptions in your account.

2. Navigate to subscriptions, the click "Add Subscriptions"

3. In one of the entitlement fields, enter any range of non-valid inputs.

4. If possible, try to submit the form.

Actual results:

There is no input validation, and the form submits, resulting in a failed task.

Expected results:

Input validation warns the user, and stops them from submitting bad data.

Related issues:

Has duplicate Katello - Bug #24309: Add Subscriptions: Subscriptions with Unl... Duplicate

Associated revisions

Revision b5af2f1b - 07/20/2018 03:07 PM - John Mitsch

Fixes #24215 - Add validation for upstream sub quantities

This commit adds validation for the text fields in the

"Add Subscriptions" page. The validation is handled by:

- The submit button being grey when no subscriptions

are selected, so the user can't submit a request

with no subscriptions checked

- The text box turning green or red depending on if the

quantity is valid

- The quantity values being checked on submission, and

showing an error notification if its invalid. This

prevents a bad request from being sent to the API

In addition, the "Available Entitlements" column on the table

has changed to reflect what is available, not the total.
This is because the available subscriptionsis the max

amount that can be added.

Since this quantity is

shown and visual feedback is given to the user if they

exceed this, there is no need for the "MAX" text under the

text box. This closely mirrors the functionality of the Red

Hat Portal.

History

#1 - 07/10/2018 02:08 PM - Walden Raines

- Target version set to Katello 3.7.0

#2 - 07/10/2018 06:09 PM - Walden Raines

- Assignee set to John Mitsch

#3 - 07/19/2018 12:10 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7540 added

#4 - 07/23/2018 06:33 AM - John Mitsch

- Status changed from Ready For Testing to Closed

Applied in changeset katello|b5af2f1bbd42e02b1fbe0454e25153229750c34c.

#5 - 07/31/2018 07:53 PM - Walden Raines

- Has duplicate Bug #24309: Add Subscriptions: Subscriptions with Unlimited Entitlements list as "-1" added
